Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.context
Interface ViewModelService

All Known Subinterfaces:
  AutocompleteViewModelService, DeleteService, EclipseContextViewService, EMFFormsContextProvider, GlobalViewModelService, ReferenceService, ValidationService, ViewLocaleService

All Known Implementing Classes:
  AddColumnService, ContextMenuViewModelService, DebugViewModelService, DefaultLocaleViewService, DefaultReferenceService, DynamicTreeModelService, EclipseContextViewServiceImpl, ECPDeleteServiceImpl, ECPReferenceServiceImpl, EMFDeleteServiceImpl, EMFFormsContextProviderImpl, LocalizationViewModelService, ProxyResolverViewService, RuleService, RuleServiceHelperImpl, StackItemViewService, TableValidationInitiator, TreeMasterDetailValidationInitiator, UnsetService, ValidationServiceImpl

    public interface ViewModelService

The AbstractViewService is a common super type for all View Services. This way the `ViewModelContext` is responsible for managing the lifecycle of all attached services. This is important, so that no service tries to do something while the model is not the current one anymore.

Since:
  1.2
Author:
  Eugen Neufeld

Method Summary
`void` | `dispose()` Dispose.
`int` | `getPriority()` Returns the priority for this view service.
`void` | `instantiate(ViewModelContext context)` Instantiate the view service.

Method Detail

### instantiate

    void instantiate(ViewModelContext context)

  Instantiate the view service.

  Parameters:
    `context` - the `ViewModelContext`

### dispose

    void dispose()

  Dispose.

### getPriority

    int getPriority()

  Returns the priority for this view service.

  Returns:
    the priority

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.